Bug 135627 - Encapsulate fields refactoring
Encapsulate fields refactoring
Status: STARTED
Product: cnd
Classification: Unclassified
Component: Code Completion
6.x
Sun All
: P2 with 1 vote (vote)
: 6.x
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks: 136314
  Show dependency treegraph
 
Reported: 2008-05-22 16:27 UTC by valerypykhin
Modified: 2009-09-25 14:06 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description valerypykhin 2008-05-22 16:27:02 UTC
For example:

class X
{
public:
   int a;
};

...

X x; x.a = 1;


Click on a => Replace usage with get/set methods => enter names of the methods => Ok  -  should replace all usages of
X::a with appropriate get/set methods.

In the example above:

class X
{
public:
   int a;
   int get_a() const { return a; } // here can be options about return type and constness of the function
   void set_a(int _a) { a = _a; } // here can be options about formal's name and type
};

...
X x; x.set_a(1);
Comment 1 Vladimir Voskresensky 2008-11-13 08:54:26 UTC
planning for 7.0
Comment 2 Vladimir Voskresensky 2008-12-29 18:31:35 UTC
scratch for UI classes
http://hg.netbeans.org/main?cmd=changeset;node=149c4633f40d
Comment 3 Quality Engineering 2008-12-30 05:27:30 UTC
Integrated into 'main-golden', will be available in build *200812300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/149c4633f40d
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: scratch for IZ#135627: Encapsulate fields refactoring
Comment 4 Quality Engineering 2008-12-31 05:28:35 UTC
Integrated into 'main-golden', will be available in build *200812310201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/19224a54e6c3
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: UI for IZ#135627: Encapsulate fields refactoring
Comment 5 Quality Engineering 2009-01-16 07:25:25 UTC
Integrated into 'main-golden', will be available in build *200901160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/552d2b037a20
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: insert points && editor action for IZ#135627: Encapsulate fields refactoring
Comment 6 Quality Engineering 2009-02-07 08:41:04 UTC
Integrated into 'main-golden', will be available in build *200902070301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a47d42cb1023
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing IZ#135627: Encapsulate fields refactoring
Comment 7 Quality Engineering 2009-02-18 10:24:44 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7e0016e8dff9
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing IZ#135627: Encapsulate fields refactoring
Comment 8 Quality Engineering 2009-03-21 20:24:57 UTC
Integrated into 'main-golden', will be available in build *200903211401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ac15857b28d7
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: IZ#135627: Encapsulate fields refactoring
Comment 9 Quality Engineering 2009-03-24 23:37:07 UTC
Integrated into 'main-golden', will be available in build *200903241535* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/875e67a9b94b
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: IZ#135627: Encapsulate fields refactoring
- insert formatted text
Comment 10 Vladimir Voskresensky 2009-09-25 14:06:20 UTC
consider for the next release due to lack of resources


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo